Commerce Engine is now in early preview. Please report any issues or feedback to support@commercengine.io
curl --request POST \
--url https://staging.api.commercengine.io/api/v1/{store_id}/storefront/payments/resend-direct-otp \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"txn_id": "<string>",
"challenge_id": "<string>"
}
'{
"message": "<string>",
"success": true,
"content": {
"payment_info": {
"txn_id": "<string>",
"txn_uuid": "<string>",
"status": "<string>",
"order_id": "<string>",
"juspay": {
"client_auth_token": "<string>",
"client_auth_token_expiry": "<string>"
},
"offer_details": {
"offers": [
{}
]
},
"payment": {
"sdk_params": {
"tr": "<string>",
"merchant_vpa": "<string>",
"customer_last_name": "<string>",
"merchant_name": "<string>",
"pg_intent_url": "<string>",
"amount": "<string>",
"tid": "<string>",
"customer_first_name": "<string>"
},
"authentication": {
"method": "<string>",
"url": "<string>",
"params": {
"card_issuer_bank_name": "<string>",
"id": "<string>",
"fallback_url": "<string>",
"challenge_id": "<string>",
"resend_otp_allowed": true,
"auth_type": "<string>",
"submit_otp_allowed": true,
"card_isin": "<string>"
}
}
}
}
}
}Resend direct OTP
curl --request POST \
--url https://staging.api.commercengine.io/api/v1/{store_id}/storefront/payments/resend-direct-otp \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"txn_id": "<string>",
"challenge_id": "<string>"
}
'{
"message": "<string>",
"success": true,
"content": {
"payment_info": {
"txn_id": "<string>",
"txn_uuid": "<string>",
"status": "<string>",
"order_id": "<string>",
"juspay": {
"client_auth_token": "<string>",
"client_auth_token_expiry": "<string>"
},
"offer_details": {
"offers": [
{}
]
},
"payment": {
"sdk_params": {
"tr": "<string>",
"merchant_vpa": "<string>",
"customer_last_name": "<string>",
"merchant_name": "<string>",
"pg_intent_url": "<string>",
"amount": "<string>",
"tid": "<string>",
"customer_first_name": "<string>"
},
"authentication": {
"method": "<string>",
"url": "<string>",
"params": {
"card_issuer_bank_name": "<string>",
"id": "<string>",
"fallback_url": "<string>",
"challenge_id": "<string>",
"resend_otp_allowed": true,
"auth_type": "<string>",
"submit_otp_allowed": true,
"card_isin": "<string>"
}
}
}
}
}
}Access token
You can get the txn_id from the response of create order API under the payment object inside the payment_info object. The key is 'id' under the params object inside the authentication object.
You can get the challenge_id from the response of create order API under the payment object inside the payment_info object. The key is 'challenge_id' under the params object inside the authentication object.
Was this page helpful?